Uploaded image for project: 'OpenShift Logging'
  1. OpenShift Logging
  2. LOG-1742

ElasticSearch Operator isn't upgraded due to wrong olm.skipRange

    XMLWordPrintable

Details

    • Logging (LogExp) - Sprint 207
    • Passed
    • NEW
    • NEW
    • Hide
      Due to an issue in the release pipeline scripts, the value of the `olm.skipRange` field remained unchanged at `5.2.0` and was not updated when the z-stream number, `0`, increased. The current release fixes the pipeline scripts to update the value of this field when the release numbers change.
      Show
      Due to an issue in the release pipeline scripts, the value of the `olm.skipRange` field remained unchanged at `5.2.0` and was not updated when the z-stream number, `0`, increased. The current release fixes the pipeline scripts to update the value of this field when the release numbers change.

    Description

      That is clone bug to https://bugzilla.redhat.com/show_bug.cgi?id=2001742.

      CSV: "elasticsearch-operator.5.0.7-27"
      skipRange: ">=4.6.0-0 <5.0.0-27"
      it should be ">=4.6.0-0 <5.0.7-27"

      CSV: "elasticsearch-operator.5.1.1-36"
      skipRange: ">=4.6.0-0 <5.1.0-36"
      It should be ">=4.6.0-0 <5.1.1-36"

      Attachments

        Issue Links

          Activity

            People

              ptsiraki@redhat.com Periklis Tsirakidis
              anli@redhat.com Anping Li
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: